Ogre::GLES2RTTManager Class Reference

Manager/factory for RenderTextures. More...

`#include <OgreGLES2RenderTexture.h>`

Inheritance diagram for Ogre::GLES2RTTManager:
[legend]

List of all members.

## Public Member Functions

virtual | ~GLES2RTTManager ()
virtual RenderTexture * | createRenderTexture (const String &name, const GLES2SurfaceDesc &target, bool writeGamma, uint fsaa)=0
| Create a texture rendertarget object.
virtual bool | checkFormat (PixelFormat format)=0
| Check if a certain format is usable as rendertexture format.
virtual void | bind (RenderTarget *target)=0
| Bind a certain render target.
virtual void | unbind (RenderTarget *target)=0
| Unbind a certain render target.
virtual void | getBestDepthStencil (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target.
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format.

## Static Public Member Functions

static GLES2RTTManager & | getSingleton (void)
static GLES2RTTManager * | getSingletonPtr (void)

## Static Protected Attributes

static GLES2RTTManager * | msSingleton

## Detailed Description

Manager/factory for RenderTextures.

Definition at line 61 of file OgreGLES2RenderTexture.h.

## Constructor & Destructor Documentation

virtual Ogre::GLES2RTTManager::~GLES2RTTManager | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLES2RTTManager::bind | ( | RenderTarget * | target | ) | `[pure virtual]`

Bind a certain render target.

Implemented in Ogre::GLES2CopyingRTTManager, and Ogre::GLES2FBOManager.

virtual bool Ogre::GLES2RTTManager::checkFormat | ( | PixelFormat | format | ) | `[pure virtual]`

Check if a certain format is usable as rendertexture format.

Implemented in Ogre::GLES2CopyingRTTManager, and Ogre::GLES2FBOManager.

virtual MultiRenderTarget* Ogre::GLES2RTTManager::createMultiRenderTarget | ( | const String & | name | ) | `[virtual]`

Create a multi render target.

Reimplemented in Ogre::GLES2FBOManager.

virtual RenderTexture* Ogre::GLES2RTTManager::createRenderTexture | ( | const String & | name,
|  | const GLES2SurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  | `[pure virtual]`

Create a texture rendertarget object.

Implemented in Ogre::GLES2CopyingRTTManager, and Ogre::GLES2FBOManager.

virtual void Ogre::GLES2RTTManager::getBestDepthStencil | ( | GLenum | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat
| ) |  | `[virtual]`

Reimplemented in Ogre::GLES2FBOManager.

Definition at line 84 of file OgreGLES2RenderTexture.h.

References GL_NONE.

static GLES2RTTManager & Ogre::Singleton< GLES2RTTManager >::getSingleton | ( | void |  | ) | `[static, inherited]`

Definition at line 90 of file OgreSingleton.h.

static GLES2RTTManager * Ogre::Singleton< GLES2RTTManager >::getSingletonPtr | ( | void |  | ) | `[static, inherited]`

Definition at line 92 of file OgreSingleton.h.

virtual PixelFormat Ogre::GLES2RTTManager::getSupportedAlternative | ( | PixelFormat | format | ) | `[virtual]`

Get the closest supported alternative format.

If format is supported, returns format.

virtual void Ogre::GLES2RTTManager::unbind | ( | RenderTarget * | target | ) | `[pure virtual]`

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implemented in Ogre::GLES2CopyingRTTManager, and Ogre::GLES2FBOManager.

## Member Data Documentation

GLES2RTTManager * Ogre::Singleton< GLES2RTTManager >::msSingleton `[static, protected, inherited]`

Definition at line 75 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreGLES2RenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:02